View Issue Details

IDProjectCategoryView StatusLast Update
13994Bug reports[All Projects] Survey takingpublic2019-04-30 09:11
ReporterDeusdeorumAssigned Todominikvitt 
PriorityurgentSeverityminor 
Status closedResolutionfixed 
Product Version3.14.x 
Target Version3.15.xFixed in Version3.14.x 
Summary13994: Question validation equation along with "Hide tip"
Description

If you set "Hide tip" to "On" and have a question validation equation and question validation tip the tip wont be hidden.
In my head "Choose one of the following answers" should be hidden if I set "Hide tip" to "On".

Steps To Reproduce

i) create a survey and add two questions
ii) set proper question validation equation and question validation tip on second question and hide tip
iii) preview

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.6
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql 5.0.12
Server OS (if known)debian 9.3 stretch
Webserver software & version (if known)nginx/1.10.3
PHP Version7.0.27-0+deb9u1

Activities

Deusdeorum

Deusdeorum

2018-08-23 09:37

reporter  

limesurvey_survey_362195.lss (17,134 bytes)
guest

guest

2018-09-03 18:13

viewer   ~48955

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27888

Related Changesets

LimeSurvey: master 8287185a

2018-09-03 18:13:03

Dominik Vitt

Details Diff
Fixed issue 13994: Question validation equation along with "Hide tip" Affected Issues
13994
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/views/survey/questions/question_help/em-tip.php Diff File

Issue History

Date Modified Username Field Change
2018-08-23 09:37 Deusdeorum New Issue
2018-08-23 09:37 Deusdeorum File Added: limesurvey_survey_362195.lss
2018-08-28 11:22 LouisGac Assigned To => dominikvitt
2018-08-28 11:22 LouisGac Status new => assigned
2018-08-28 11:58 LouisGac Priority none => urgent
2018-09-03 18:13 Changeset attached => LimeSurvey master 8287185a
2018-09-03 18:13 guest Note Added: 48955
2018-09-03 18:13 guest Resolution open => fixed
2018-09-03 18:14 dominikvitt Status assigned => resolved
2018-09-03 18:14 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:11 c_schmitz Status resolved => closed